# -*- makefile -*- 
# $RCSfile: DIR.mk,v $
# $Revision: 1.72 $
# $Author: langer $
# $Date: 2005/05/16 21:08:32 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modifed
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

dirname := common
subdirs := IO EXTRA

cfiles := coord.C colordifference.C ooferror.C random.C trace.C	     \
identification.C timestamp.C switchboard.C swiglib.C pixelgroup.C    \
boolarray.C ccolor.C despeckle.C expandgrp.C bitmask.C smallmatrix.C \
cmicrostructure.C oofcpp.C cdebug.C pixelattribute.C argv.C lock.C   \
cpixelselection.C brushstyle.C pixelselectioncourier.C intarray.C    \
pixelsetboundary.C

swigfiles := coord.swg colordifference.swg geometry.swg ooferror.swg \
space.swg trace.swg switchboard.swg timestamp.swg pixelgroup.swg     \
ccolor.swg boolarray.swg smallmatrix.swg cmicrostructure.swg	     \
cdebug.swg argv.swg pixelattribute.swg doublearray.swg lock.swg	     \
cpixelselection.swg brushstyle.swg pixelselectioncourier.swg	     \
activearea.swg devel.swg intarray.swg

pyfiles := activeareamod.py backEnd.py color.py cregisteredclass.py \
debug.py director.py enum.py excepthook.py guitop.py initialize.py  \
labeltree.py mainthread.py microstructure.py object_id.py oof.py    \
oof_getopt.py parallel_enable.py parallel_object_manager.py	    \
parallel_performance.py pixelselection.py pixelselectionmethod.py   \
pixelselectionmod.py primitives.py quit.py registeredclass.py	    \
ringbuffer.py strfunction.py subthread.py thread_enable.py timer.py \
toolbox.py utils.py version.py worker.py oofversion.py

swigpyfiles := ooferror_.py colordifference_.py coord_.py geometry_.py \
switchboard_.py space_.py pixelgroup_.py timestamp_.py smallmatrix_.py \
cdebug_.py brushstyle_.py pixelattribute_.py activearea_.py lock_.py

hfiles := beginheader.h coord.h colordifference.h endheader.h         \
geometry.h ooferror.h printvec.h random.h space.h tostring.h trace.h  \
identification.h timestamp.h switchboard.h pythonexportable.h         \
pixelgroup.h removeitem.h swiglib.h array.h ccolor.h boolarray.h      \
bitmask.h smallmatrix.h cmicrostructure.h cdebug.h argv.h             \
pixelattribute.h doublearray.h lock.h cpixelselection.h brushstyle.h  \
pixelselectioncourier.h activearea.h intarray.h pixelsetboundary.h


ifeq ($(MPITRUE),$(TRUE))
	cfiles := $(cfiles) mpitools.C

	swigfiles:= $(swigfiles) mpitools.swg

	swigpyfiles := $(swigpyfiles) mpitools_.py

	hfiles := $(hfiles) mpitools.h
endif

# Don't modify the rest of this
include $(SUBDIR)
