# -*- python -*-
# $RCSfile: bitmapdisplay.py,v $
# $Revision: 1.14 $
# $Author: langer $
# $Date: 2005/05/13 18:43:47 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from oof2.common import debug
from oof2.common.IO import display
from oof2.common.IO import xmlmenudump
from oof2.SWIG.common import coord
from oof2.common import registeredclass
import weakref

class BitmapDisplayMethod(display.DisplayMethod):
    def __init__(self):
        self.bitmapobject = None
        display.DisplayMethod.__init__(self)
    def draw(self, gfxwindow, device):
        bitmapobj = self.who().getObject(gfxwindow)
        device.draw_image(bitmapobj, coord.Coord(0,0), bitmapobj.size())
        self.bitmapobject = weakref.ref(bitmapobj)
    def getObject(self):
        if self.bitmapobject is not None:
            return self.bitmapobject()  # resolve weak reference

bitmapDisplay = registeredclass.Registration(
    'Bitmap',
    display.DisplayMethod,
    BitmapDisplayMethod,
    ordering=-100,
    layerordering=display.Planar,
    params=[],
    whoclasses = ('Image',),
    tip="Display an Image as a bitmap.",
    discussion = xmlmenudump.loadFile('DISCUSSIONS/common/reg/bitmapdisplay.xml')
    )

