# -*- python -*-
# $RCSfile: destinationparam.py,v $
# $Revision: 1.4 $
# $Author: langer $
# $Date: 2005/05/13 18:43:48 $

# This software was produced by NIST, an agency of the U.S. government,
# and by statute is not subject to copyright in the United States.
# Recipients of this software assume all responsibilities associated
# with its operation, modification and maintenance. However, to
# facilitate maintenance we ask that before distributing modified
# versions of this software, you first contact the authors at
# oof_manager@ctcms.nist.gov. 

from oof2.common.IO import automatic
from oof2.common.IO import parameter
from oof2.common.IO import reporter
from oof2.SWIG.common import ooferror

# Special parameter type that can take either a string (generally
# assumed to be a filename) or a special value (currently
# "automatic").  Used to set the destination for outputs, the intended
# semantics are that "automatic" should cause the output to send its
# data to the message window via the reporter. 
class DestinationParameter(parameter.StringParameter):
    def __init__(self, name, value=None,
                 default=automatic.automatic, tip=None):
        parameter.StringParameter.__init__(self, name, value=value,
                                           default=default, tip=tip)
    def checker(self, x):
        if x==automatic.automatic:
            return
        return parameter.StringParameter.checker(self, x)
    def binaryRepr(self, datafile, value):
        raise ooferror.ErrPyProgrammingError(
            "binaryRepr not defined for DestinationParameter.")
    def binaryRead(self, parser):
        raise ooferror.ErrPyProgrammingError(
            "binaryRead not defined for DestinationParameter.")

# Utility function -- given the value of a destination parameter, it
# returns a file object to which data can be appended.
def get_file(destination):
    if destination==automatic.automatic:
        return reporter.fileobj
    else:
        return open(destination,"a")
